FROM archlinux:latest AS packager

ENV USER=max

RUN pacman-key --init
RUN pacman -Sy --noconfirm base-devel git nginx

RUN mkdir /build
COPY ./files/ /build/

RUN useradd -m "$USER" && chown -R "$USER":"$USER" /build
RUN echo ""$USER" ALL=(ALL:ALL) NOPASSWD: ALL" >> /etc/sudoers
USER "$USER"

WORKDIR  /build/not_a_virus2.0
RUN makepkg -s --noconfirm

WORKDIR /build/not_a_virus1.0
RUN tar -czf default_package.tar.gz default_package/
RUN makepkg -s --noconfirm

USER root

RUN mkdir -p /repo
RUN mv *.pkg.tar.zst /repo/
RUN repo-add /repo/mypkgs.db.tar.gz /repo/*.pkg.tar.zst

COPY nginx.conf /etc/nginx/nginx.conf
COPY ./upgrade_not_a_virus.sh /upgrade_not_a_virus.sh
RUN chmod +x /upgrade_not_a_virus.sh


EXPOSE 8080

CMD [ "sh", "-c", "/upgrade_not_a_virus.sh & nginx -g 'daemon off;'"]
